%%%%%   Linearized Lorenz System %%%%%
% Returns the Linearized Lorenz system evaluate at (x,y,z)
%
function J = Lorenz_Linear(x0, param)

%Parameters
sig = param(1);
r   = param(2);
b   = param(3);

%Variables
x = x0(1);
y = x0(2);
z = x0(3);

%Jacobian
J =[-sig, sig,   0;...
     r-z,  -1,  -x;...
       y,   x,  -b];
