%Code developed by:
%Nancy Tafolla Sp'13
%see:  ../../students/Sp13/Nancy_Tafolla/

format compact
set(groot,'defaulttextinterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot, 'defaultLegendInterpreter','latex');
set(groot, 'defaultAxesFontSize',14);

%% Lorenz Lyapunov Exponents

format compact

param = [10, 28, 8/3]';
x0 = [0.1 0.1 0.1]';
t0 = 0; 
tend= 100;
%tend= 1000; % slower but better convergence
dt = 0.002;N=tend/dt; %N: time poins to show
clear dt; %dt is not the dt in RK

[t lambda LE] = LyapunovExpQR(t0, tend, N, x0, 'Lorenz_Mine', 'Lorenz_Linear', param);

figure(3)

subplot(2,1,1)
plot(t, LE(:, end-0), '.', t, LE(:, end-1), '.', t, LE(:,end-2), '.');
title(['Lorenz: $\lambda_1 \approx', num2str(lambda(1)), ', \lambda_2 \approx', num2str(lambda(2)),', \lambda_3 \approx', num2str(lambda(3)),'$']);
%xlabel('$t$'); 
ylabel('$\lambda$');
axis tight

subplot(2,1,2)
plot(t(round(end/2):end), LE(round(end/2):end,end), '.');
hold on
plot(t([round(end/2),end]), [1,1]*LE(end,end), 'k-');
hold off
xlabel('$t$'); 
ylabel('$\lambda_1$');
axis tight


