function [t w] = RK_LyapExp(IC, t0, tf, N, SysName, LinearSysName, param)
m = length(IC);
h = (tf- t0)/N;
t = linspace(t0, tf, N+1);
w = zeros(N, m);

w(1,:) = IC;

for i = 1:N
    f = LyapunovSys_QR(t, w(i,:), SysName, LinearSysName, param);
    k1=h*f';
    f = LyapunovSys_QR(t, w(i,:)+1/2*k1, SysName, LinearSysName, param);
    k2 = h*f';
    f = LyapunovSys_QR(t, w(i,:)+1/2*k2, SysName, LinearSysName, param);
    k3 = h*f';
    f = LyapunovSys_QR(t, w(i,:)+k3, SysName, LinearSysName, param);
    k4 = h*f';
    w(i+1,:) = w(i,:) + (k1 + 2*k2 + 2*k3 + k4)/6;
end